aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrc.d/init.d/network28
1 files changed, 28 insertions, 0 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 4f03491d..f837307a 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -44,6 +44,7 @@ cd /etc/sysconfig/network-scripts
# ignore aliases, alternative configurations, and editor backup files
interfaces=`ls ifcfg* | egrep -v '(ifcfg-lo|:|rpmsave|rpmorig|rpmnew)' | \
egrep -v '(~|\.bak)$' | \
+ egrep -v 'ifcfg-cipcb[0-9]+$' | \
egrep -v 'ifcfg-ippp[0-9]+$' | \
egrep 'ifcfg-[a-z0-9]+$' | \
sed 's/^ifcfg-//g'`
@@ -99,6 +100,33 @@ case "$1" in
fi
done
+ # add cipe here.
+ cipeinterfaces=`ls ifcfg* | egrep -v '(ifcfg-lo|:|rpmsave|rpmorig|rpmnew)' | \
+ egrep -v '(~|\.bak)$' | \
+ egrep 'ifcfg-cipcb[0-9]+$' | \
+ sed 's/^ifcfg-//g'`
+ for i in cipeinterfaces ; do
+ if ! egrep -L "^ONBOOT=\"?[Nn][Oo]\"?" ifcfg-$i >/dev/null 2>&1 ; then
+ # If we're in confirmation mode, get user confirmation
+ [ -n "$CONFIRM" ] &&
+ {
+ confirm $i
+ case $? in
+ 0)
+ :
+ ;;
+ 2)
+ CONFIRM=
+ ;;
+ *)
+ continue
+ ;;
+ esac
+ }
+ action $"Bringing up interface $i: " ./ifup $i boot
+ fi
+ done
+
sysctl -w kernel.hotplug=$oldhotplug > /dev/null 2>&1
# Add non interface-specific static-routes.